
DROP TABLE [dbo].[WorkLine]
CREATE TABLE [dbo].[WorkLine] (
[PlantNr] int NOT NULL ,
[WorkLineid] nvarchar(40) NOT NULL ,
[Descr] nvarchar(100) NOT NULL ,
[LineType] nvarchar(1) NOT NULL ,
[LinePlanMode] nvarchar(3) NOT NULL ,
[WeekModelNr] int NOT NULL ,
[WorkCalendarNr] int NOT NULL ,
[Location] nvarchar(40) NOT NULL ,
[CostCenterId] nvarchar(40) NOT NULL ,
[CostRate] float(53) NOT NULL ,
[ProdEff] float(53) NOT NULL ,
[ReqWorkers] int NOT NULL ,
[Pos] int NOT NULL ,
[TaskQueueSortWay] nvarchar(10) NOT NULL ,
[MultiQueueMixSortToggle] bit NOT NULL ,
[TaskQueueMixSortWay] nvarchar(10) NOT NULL ,
[MixSortLogic] nvarchar(100) NOT NULL ,
[TaskReleaseWay] nvarchar(10) NOT NULL ,
[ReleaseQtyParameter] int NOT NULL ,
[ReleaseTimeParameter] datetime NULL ,
[ReleaseCtrlParameter] nvarchar(100) NOT NULL ,
[LastModify] datetime NOT NULL ,
[LastUser] nvarchar(20) NOT NULL ,
[CreateTime] datetime NOT NULL ,
[ReleaseDurationParameter] int NULL 
)
ALTER TABLE [dbo].[WorkLine] ADD PRIMARY KEY ([PlantNr], [WorkLineid])



INSERT INTO [dbo].[WorkLine] ([PlantNr], [WorkLineid], [Descr], [LineType], [LinePlanMode], [WeekModelNr], [WorkCalendarNr], [Location], [CostCenterId], [CostRate], [ProdEff], [ReqWorkers], [Pos], [TaskQueueSortWay], [MultiQueueMixSortToggle], [TaskQueueMixSortWay], [MixSortLogic], [TaskReleaseWay], [ReleaseQtyParameter], [ReleaseTimeParameter], [ReleaseCtrlParameter], [LastModify], [LastUser], [CreateTime], [ReleaseDurationParameter]) VALUES (N'100', N'RB', N'后排靠背线', N'1', N'1', N'22', N'13', N'1', N'100', N'1', N'1', N'1', N'1', N'', N'0', N'', N'', N'BY_QTY', N'10', N'2021-04-15 14:23:42.000', N'', N'2021-05-06 13:35:29.000', N'admin', N'2021-04-28 15:56:39.000', null)


